# This program draws an hourglass figure
# of characters and numbers using nested loops.

# Prints a solid line of dashes.
def draw_line():
    print("+", end="")
    print("-" * 10, end="")
    print("+")

# Produces the top half of the hourglass figure.
def draw_top():
    for line in range(1, 6):
        print("|", end="")
        print(" " * (line - 1), end="")
        print("\\", end="")
        for i in range(1, 11 - 2 * line):
            print(i, end="")
        print("/", end="")
        print(" " * (line - 1), end="")
        print("|")

# Produces the bottom half of the hourglass figure.
def draw_bottom():
    for line in range(1, 6):
        print("|", end="")
        print(" " * (5 - line), end="")
        print("/", end="")
        for i in range(2 * line - 2, 0, -1):
            print(i, end="")
        print("\\", end="")
        print(" " * (5 - line), end="")
        print("|")

def main():
    draw_line()
    draw_top()
    draw_bottom()
    draw_line()

main()
