# Draws colored shapes using various color syntax.

from DrawingPanel import *

def main():
    panel = DrawingPanel(230, 120)
    panel.background = "#ffff88"   # light yellow
    panel.color = "red"
    panel.fill_rect(25, 50, 20, 20)
    panel.fill_rect(150, 10, 40, 20)
    
    # use a custom color
    panel.color = (255, 128, 0)     # orange
    panel.fill_oval(50, 25, 20, 20)
    panel.fill_oval(100, 50, 40, 20)
    
    # pass custom color as a parameter (sky bluish)
    panel.fill_oval(150, 80, 30, 30, (64, 128, 196))

main()
