# This program prints the entire contents of a file.
# This version uses a 'with' statement, which will
# close the file automatically when finished.

def main():
    with open("poem.txt") as file:
        filetext = file.read()
        print("Here are the file contents:")
        print("===========================")
        print(filetext)
        print("===========================")
        print("length:", len(filetext), "characters")

main()
