# Reads a series of values and reports the frequency of
# occurrence of each value.

def main():
    with open("tally.dat") as file:
        tally = [0] * 10
        for next in file.read().split():
            next = int(next)
            tally[next] += 1

        print("Value\tOccurrences")
        for i in range(len(tally)):
            print(i, tally[i], sep="\t")

main()
