# This program builds a phone book where the user can
# type a name and look up that person's phone number.
# The program stores the phone book as a dictionary.

def main():
    # build phone book as list
    phonebook = {}
    with open("phonenumbers.txt") as file:
        for line in file:
            name, phone = line.split()
            phonebook[name] = phone
    
    # look up phone numbers
    name = input("Name to look up? ")
    while name != "":
        print(name, "phone number is", phonebook[name])
        name = input("Name to look up? ")
    print("Have a nice day.")

main()
