# This program contains a recursive directory crawler.
import os
import os.path

def crawl(path, indent = 0):
    print("    " * indent, os.path.basename(path))
    if os.path.isdir(path):
        for subfile in sorted(os.listdir(path)):
            crawl(path + "/" + subfile, indent + 1)

def main():
    path = input("Directory to crawl? ")
    crawl(path)

main()
