# Deals and displays a hand of 5 random playing cards.
import random

def main():
    ranks = ["2", "3", "4", "5", "6", "7", "8", \
             "9", "10", "Jack", "Queen", "King", "Ace"]
    suits = ["Clubs", "Diamonds", "Hearts", "Spades"]

    # build sorted deck
    deck = []
    for rank in ranks:
         for suit in suits:
            deck.append(rank + " of " + suit)
    
    # generate random 5-card hard
    random.shuffle(deck)
    hand = sorted(deck[:5])
    
    print("Your hand:")
    for card in hand:
        print(card)

main()
