# Searches a large file for words using a binary search,
# and displays the index at which each word is found.

import bisect

def main():
    print("Welcome to Scrabble word challenge!")
    words = open("scrabble-words.txt").read().split()
    word = input("Word to challenge (Enter to quit)? ")
    while word != "":
        index = bisect.bisect_left(words, word)
        if 0 <= index < len(words) and words[index] == word:
            print(word, "is word", index, "of", len(words))
        else:
            print(word, "is not found.")
        word = input("Word to challenge (Enter to quit)? ")

main()
