# This program draws two triangular
# figures using loops.
LINES = 3

# Draws a downward-facing triangle of stars.
def downward_triangle():
    for line in range(1, LINES + 1):
        print(" " * (line - 1), end="")
        print("*" * (2 * LINES + 1 - 2 * line))

# Draws an upward-facing triangle of stars.
def upward_triangle():
    for line in range(LINES, 0, -1):
        print(" " * (line - 1), end="")
        print("*" * (2 * LINES + 1 - 2 * line))

def main():
    downward_triangle()
    print()
    upward_triangle()

main()
