# This program draws rectangular box figures.
# This version uses optional parameters.

# Prints a rectangular box filled with dots.
def draw_box(width = 10, height = 5):
    print("*" * width)
    for line in range(height - 2):
        print("*", "." * (width - 2), "*", sep="")
    print("*" * width)

def main():
    draw_box(7, 3)    #  7 x 3 (pass both width and height)
    print()
    draw_box(8)       #  8 x 5 (pass width of 8; default height)
    print()
    draw_box()        # 10 x 5 (default width and height)

main()
