# This program adds numbers from a file
# and reports the sum of all the numbers.

# Returns True if the given string can be converted
# into a float successfully, or False if not.
def is_float(s):
    try:
        n = float(s)
        return True
    except ValueError:
        return False

def main():
    sum = 0.0
    with open("numbers2.dat") as file:
        for line in file:
            numbers = line.split()
            for n in numbers:
                if is_float(s):
                    sum += float(n)
                else:
                    print("Invalid number:", n)
    print("Sum is:", round(sum, 1))

main()
