# This program reads names from a file
# in "first middle last" format.

def main():
    with open("actors3.txt") as file:
        for line in file:
            if " " in line:
                # multi-word name
                first, *extra, last = line.split()
                print(last, ",", first)
            else:
                # mononym such as "Adele"
                print(line.rstrip())

main()
