# Returns all words in the given file of a given length.
def words_of_length(filename, length):
    result = []
    with open(filename) as file:
        all_words = file.read().split()
        for word in all_words:
            if len(word) == length:
                result.append(word)
    return result

def main():
    words = words_of_length("gettysburg.txt", 5)
    print("Words of length 5:")
    for word in words:
        print(word)

main()
