# Computes greatest common divisors (GCDs)
# of various integers.

def gcd(a, b):
    if a < 0 or b < 0:
        return gcd(abs(a), abs(b))
    elif b == 0:
        # base case
        return a
    else:
        # recursive case
        return gcd(b, a % b)

def main():
    g = gcd(132, 20)
    print("GCD is", g)

main()
