# This program contains a recursive function to print
# the lines of a file in reversed order.

def reverse_file(file):
    line = file.readline()
    if line != "":
        # recursive case (nonempty file)
        reverse_file(file)    # print rest of file, reversed
        print(line.rstrip())   # print my line (at end)

def main():
    with open("lines.txt") as file:
        reverse_file(file)

main()
