# Searches a large file for various words and displays
# the index at which each word is found.

import bisect
import time

def main():
    words = open("words.txt").read().split()
    targets = ["the", "of", "banana", "direwolf", "monkey"]
    start_time = time.time()
    
    # Search for a word's index many times
    REPS = 500000
    for i in range(REPS):
        for word in targets:
            index = bisect.bisect(words, word)
    
    elapsed_time = time.time() - start_time
    print("Performed", REPS * len(targets), "searches")
    print("Took", elapsed_time, "sec")

main()
